SDL_SetWindowShape(3)

NAME
SDL_SetWindowShape - Set the shape of a transparent window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetWindowShape(SDL_Window *window, SDL_Surface *shape);

DESCRIPTION
This sets the alpha channel of a transparent window and any fully transparent areas are also transparent to mouse clicks. If you are using something besides the SDL render API, then you are responsible for setting the alpha channel of the window yourself. The shape is copied inside this function, so you can free it afterwards. If your shape surface changes, you should call SDL_SetWindowShape () again to update the window. The window must have been created with the SDL_WINDOW_TRANSPARENT
 flag.

FUNCTION PARAMETERS

window
    the window

shape
    the surface representing the shape of the window, or NULL to remove any current shape

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.